Phonegap Barcode Scanner Plugin iOS doesn't work with Ionic 1.2.4


#1

I am consoling errors in the terminal. When I try to bring up the barcode scanner (phonegap-plugin-barcodescanner) with my app using Ionic 1.2.4, it freezes and throws this error in the console for iOS.

461469 error Error: Can't find variable: cordovascan@http://192..............

The code following documentation from http://ionicframework.com/docs/1.0.0-rc.0/api/utility/ionic.Platform/:

I updated our code to tell it to only run this stuff if ionic.Platform.isWebView() is true. Beforehand, the plugin was working with an older version of Ionic. After changing this according to Ionic’s documentation, the barcode scanner now does not work. How can I tell if this plugin will be compatible with Ionic 1.2.4? Does this error mean that I just have to find another barcode scanner plugin for my app?

(function (root) {  
  'use strict';
  root.Application.controller('AppCtrl', [
    '$scope',
    '$ionicPlatform',
    function ($scope, $ionicPlatform) {
      $ionicPlatform.ready(function() {
         if (ionic.Platform.isWebView()) {
          networkRegistry.register({
                // do some stuff
      });
    }
  ]);
})(this);

ionic info:
Cordova CLI: 5.4.1
Gulp version: CLI version 3.9.0
Gulp local: Local version 3.9.0
Ionic Version: 1.2.4
Ionic CLI Version: 1.7.11
Ionic App Lib Version: 0.6.5
ios-deploy version: 1.8.3
ios-sim version: 5.0.4
OS: Mac OS X El Capitan
Node Version: v4.2.3
Xcode version: Xcode 7.2 Build version 7C68